<?php
  session_start();

  require 'database.php';

  if (isset($_SESSION['user_id'])) {
    $records = $conn->prepare('SELECT id, email, password, admin, rank, bonus, disabled FROM users WHERE id = :id');
    $records->bindParam(':id', $_SESSION['user_id']);
    $records->execute();
    $results = $records->fetch(PDO::FETCH_ASSOC);

    $user = null;

    if (count($results) > 0) {
      $user = $results;
    }

    $records = $conn->prepare('SELECT id, email, rank, bonus FROM users WHERE admin = 0 AND disabled = 0');
    $records->execute();
    $results = $records->fetchAll(PDO::FETCH_ASSOC);
    //print_r($results); exit;

    $userList = null;

    if (count($results) > 0) {
      $userList = $results;
    }
  }

  function getRank($rank){
    switch ($rank) {
      case 0:
          echo "Bronze";
          break;
      case 1:
          echo "Silver";
          break;
      case 2:
          echo "Gold";
          break;
    }
  }
?>

<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Welcome to you WebApp</title>
    <link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet">
    <link rel="stylesheet" href="assets/css/style.css">
  </head>
  <body>
    <?php require 'partials/header.php' ?>

    <?php if(!empty($user)): ?>
      <br> Welcome <?= $user['email']; ?>[<?= getRank($user['rank']); ?>].
      <?php if($user['bonus'] < 0): ?>
        Inactive bonus, pending approval by Administrators.
      <?php else: ?>
        You have <?= $user['bonus']; ?> bonus.
      <?php endif; ?>
      <br>You are Successfully Logged In <a href="logout.php">Logout</a>
      <?php if($user['admin'] == 1): ?>
        <strong>[Admin Mode]</strong>
        <div class="content">
          <table>
            <tr>
              <th>ID</th>
              <th>User</th>
              <th>Rank</th>
              <th>Bonus</th>
              <th></th>
            </tr>
            <?php for($i = 0; $i < count($userList); ++$i): ?>
              <tr>
                <td><?= $userList[$i]['id']; ?></td>
                <td><?= $userList[$i]['email']; ?></td>
                <td><?= getRank($userList[$i]['rank']); ?></td>
                <td><?= $userList[$i]['bonus']; ?></td>
                <td><a href="user-edit.php?id=<?= $userList[$i]['id']; ?>" class="btn_edit">Edit</a></td>
              </tr>
            <?php endfor; ?>
          </table>
        </div>
      <?php endif; ?>
    <?php else: ?>
      <h1>Please Login or SignUp</h1>

      <a href="login.php">Login</a> or
      <a href="signup.php">SignUp</a>
    <?php endif; ?>
  </body>
</html>
