<?php
  session_start();

  require 'database.php';
  
  if (!empty($_POST)) {
    $sql = "UPDATE users SET email = :email, rank = :rank, bonus = :bonus WHERE id = :id";
    $stmt = $conn->prepare($sql);
    $stmt->bindParam(':email', $_POST['email']);
    $stmt->bindParam(':rank', $_POST['rank']);
    $stmt->bindParam(':bonus', $_POST['bonus']);
    $stmt->bindParam(':id', $_POST['user_id']);

    //print_r($stmt); exit;

    if ($stmt->execute()) {
        $message = 'Successfully updated new user';
      } else {
        $message = 'Sorry there must have been an issue updating account';
      }
  }

  if(!isset($_GET['id'])) {
    header('Location: /reg-test');
  }

  if (isset($_SESSION['user_id'])) {
    $records = $conn->prepare('SELECT id, email, password, admin, rank, bonus, disabled FROM users WHERE id = :id');
    $records->bindParam(':id', $_SESSION['user_id']);
    $records->execute();
    $results = $records->fetch(PDO::FETCH_ASSOC);

    $user = null;

    if (count($results) > 0) {
      $user = $results;
      if($user['admin'] != 1) {
        header('Location: /reg-test');
      }
    }

    $records = $conn->prepare('SELECT id, email, password, admin, rank, bonus, disabled FROM users WHERE id = :id');
    $records->bindParam(':id', $_GET['id']);
    $records->execute();
    $results = $records->fetch(PDO::FETCH_ASSOC);
    //print_r($results); exit;

    $userSelected = null;

    if (count($results) > 0) {
      $userSelected = $results;
    }
  }

  function getRank($rank){
    switch ($rank) {
      case 0:
          echo "Bronze";
          break;
      case 1:
          echo "Silver";
          break;
      case 2:
          echo "Gold";
          break;
    }
  }
?>

<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Welcome to you WebApp</title>
    <link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet">
    <link rel="stylesheet" href="assets/css/style.css">
  </head>
  <body>
    <?php require 'partials/header.php' ?>

    <?php if(!empty($user)): ?>
      <br> Welcome <?= $user['email']; ?>[<?= getRank($user['rank']); ?>].
      <?php if($user['bonus'] < 0): ?>
        Inactive bonus, pending approval by Administrators.
      <?php else: ?>
        You have <?= $user['bonus']; ?> bonus.
      <?php endif; ?>
      <br>You are Successfully Logged In <a href="logout.php">Logout</a>
      <?php if($user['admin'] == 1): ?>
        <strong>[Admin Mode]</strong>
        <?php if(!empty($message)): ?>
            <p style="margin:10px; color:red;"> <?= $message ?></p>
        <?php endif; ?>
        <div class="content">
            <form action="user-edit.php" method="POST">
                <input name="user_id" type="hidden" value="<?= $userSelected['id']; ?>">
                <table class="no-border">
                    <tr>
                        <td>Email</td>
                        <td><input name="email" type="text" placeholder="Enter your email" value="<?= $userSelected['email']; ?>"></td>
                    </tr>
                    <tr>
                        <td>Rank</td>
                        <td>
                            <select name="rank">
                                <option value="0"<?= $userSelected['rank']== 0 ? ' selected' : ''; ?>>Bronze</option>
                                <option value="1"<?= $userSelected['rank']== 1 ? ' selected' : ''; ?>>Silver</option>
                                <option value="2"<?= $userSelected['rank']== 2 ? ' selected' : ''; ?>>Gold</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Bonus</td>
                        <td><input name="bonus" type="text" placeholder="Enter bonus" value="<?= $userSelected['bonus']; ?>"></td>
                    </tr>
                </table>
                <input type="submit" value="Update">
                <a href="../reg-test" class="btn_cancel">Cancel</a>
            </form>
        </div>
      <?php endif; ?>
    <?php else: ?>
      <h1>Please Login or SignUp</h1>

      <a href="login.php">Login</a> or
      <a href="signup.php">SignUp</a>
    <?php endif; ?>
  </body>
</html>
